#ifndef _DONNEES_ASSEMBLEUR_CONV_H_
#define _DONNEES_ASSEMBLEUR_CONV_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(Conv); } } }

#include <src/donnees/assembleur/instruction.h>
#include <src/donnees/assembleur/image.h>
namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			class Conv: public Instruction
			{
				public:
					Conv(Image::ImageSP noyau)
					:_noyau(std::static_pointer_cast<Image::Noyau>(noyau)) {};
					void trace(Image::Image& image);
					virtual void format(std::ostream& os);
					virtual ~Conv() {};
				private:
					Image::NoyauSP _noyau;
			};
		}
	}
}

#endif
