#include <src/donnees/assembleur/drawat.h>
#include <algorithm>
using namespace Traceur::Donnees::Assembleur;

void DrawAt::trace(Image::Image& image)
{
	for(Coordonnee x=0 ; x<_image->_taille_x ; ++x)
	{
		for(Coordonnee y=0 ; y<_image->_taille_y ; ++y)
		{
			Point point(x,y);
			Couleur::Couleur couleur=_image->couleur(point);
			image.trace(_point.translate(point),couleur,_alpha);
		}
	}
}

void DrawAt::format(std::ostream& os)
{
	os << "draw ";
	_image->format(os);
	os << " at ";
	_point.format(os);
	os << " by " << _alpha;
	os << " // asm" << std::endl;
}

