#ifndef _DONNEES_ASSEMBLEUR_INSTRUCTION_H_
#define _DONNEES_ASSEMBLEUR_INSTRUCTION_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(Instruction); } } }

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			namespace Image { class Image; }
			class Instruction
			{
				public:
					Instruction() = default;
					virtual void trace(Image::Image& image) {};
					virtual void execute() {};
					virtual void format(std::ostream& os) = 0;
					virtual ~Instruction() {};
			};
		}
	}
}

#endif
