#include <src/donnees/assembleur/nomfichier.h>
using namespace Traceur::Donnees::Assembleur;

NomFichier::NomFichier(const Traceur::Donnees::Expression::ChaineSP& nom_fichier)
{
	_nom_fichier=nom_fichier->_chaine;
}

bool NomFichier::est_le_terminal() const
{
	return _nom_fichier=="-"; 
}

void NomFichier::format(std::ostream& os)
{
	os << "\"" << _nom_fichier << "\"";
}
