#include <src/donnees/assembleur/optionsligne.h>

using namespace Traceur::Donnees::Assembleur;

void OptionsLigne::format(std::ostream& os)
{
	if(_sans_debut or _sans_fin or _solide or _gomme or _discontinue)
		os << ";";
	if(_sans_debut)
	{
		os << "NOSTART";
		if(_sans_fin or _solide or _gomme or _discontinue)
			os << ",";
	}
	if(_sans_fin)
	{
		os << "NOEND";
		if(_solide or _gomme or _discontinue)
			os << ",";
	}
	if(_solide)
	{
		os << "SOLID";
		if(_gomme or _discontinue)
			os << ",";
	}
	if(_gomme)
	{
		os << "ERASER";
		if(_discontinue)
			os << ",";
	}
	if(_discontinue)
	{
		os << "DASHED[" << _ecart_trace;
		if(_ecart_non_trace)
		{
			os << ";" << _ecart_non_trace;
		}
		os << "]";
	}
}

