#ifndef _DONNEES_ASSEMBLEUR_READ_H_
#define _DONNEES_ASSEMBLEUR_READ_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(Read); } } }

#include <src/donnees/assembleur/instruction.h>
#include <src/donnees/assembleur/nomfichier.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			namespace Image{ DECL_SHARED_PTR(Image); }
			class Read : public Instruction
			{
				public:
					Read(NomFichier nom_fichier) :_nom_fichier(nom_fichier) {};
					void teste();
					void trace(Image::Image& image);
					virtual void format(std::ostream& os);
					virtual ~Read() {};
				private:
					NomFichier _nom_fichier;
			};
		}
	}
}

#endif
