#ifndef _DONNEES_ASSEMBLEUR_SEGMENT_H_
#define _DONNEES_ASSEMBLEUR_SEGMENT_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(Segment); } } }

#include <src/donnees/assembleur/systemecoordonnees.h>
#include <src/donnees/assembleur/point.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			class Segment
			{
				public:
					enum class Sens { NORMAL, INVERSE };
					Segment(Point depart, Point arrivee);
					void points(Coordonnee& min, Coordonnee& max);
					static void fusion(bool remplissage, Coordonnee& min1, Coordonnee& max1, Coordonnee& min2, Coordonnee& max2, bool& double_segment);
				private:
					Point _depart;
					Point _arrivee;
					Coordonnee _delta;
					Coordonnee _incrementdeltapositif;
					Coordonnee _incrementdeltanegatif;
					Coordonnee _incrementordonnee;
					Coordonnee _ordonnee;
					Sens _sens;
			};
		}
	}
}


#endif
