#ifndef _DONNEES_ASSEMBLEUR_WITH_H_
#define _DONNEES_ASSEMBLEUR_WITH_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(With); } } }

#include <src/donnees/assembleur/instruction.h>
#include <src/donnees/assembleur/couleur.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			namespace Image { class Image; }
			class With : public Instruction
			{
				public:
					With(Couleur::Frequencielle couleur) :_couleur(couleur) {};
					virtual void trace(Image::Image& image);
					virtual void format(std::ostream& os);
					virtual ~With() {};
				private:
					Couleur::Frequencielle _couleur;
			};
		}
	}
}

#endif
