#include <src/donnees/assembleur/write.h>
#include <src/png/imagepng.h>
using namespace Traceur::Donnees::Assembleur;

void Write::teste()
{
	Traceur::Png::Image::teste_fichier_ecriture(_nom_fichier);
}

void Write::execute()
{
	_image->trace();
	Image::ReelleSP reelle = std::dynamic_pointer_cast<Image::Reelle>(_image);
	TRACEUR_TEST(reelle);
	Traceur::Png::Image::ecriture(reelle,_nom_fichier);
}

void Write::format(std::ostream& os)
{
	os << "write ";
	_image->format(os);
	os << " to ";
	_nom_fichier.format(os);
	os << " // asm" << std::endl;
}

