#include <src/donnees/expressions/expressionappelfonctioninternebinaire.h>
#include <src/donnees/types/typeerror.h>
#include <src/donnees/types/typevoid.h>
using namespace Traceur::Donnees::Expression;

AppelFonctionInterneBinaire::AppelFonctionInterneBinaire(ExpressionSP gauche, ExpressionSP droite)
	:_gauche(gauche), _droite(droite)
{
/* Code remplace par des if a l'evaluation
	if(gauche->est_de_type<Traceur::Donnees::Type::Error>() or droite->est_de_type<Traceur::Donnees::Type::Error>())
	{
		_type = Traceur::Donnees::Type::Error::SP();
		return;
	}
	if(gauche->est_de_type<Traceur::Donnees::Type::Void>() or droite->est_de_type<Traceur::Donnees::Type::Void>())
	{
		_type = Traceur::Donnees::Type::Void::SP();
		return;
	}
*/
}
void AppelFonctionInterneBinaire::edition_liens(Traceur::Donnees::Instruction::InstructionSP instruction)
{
	_gauche->edition_liens(instruction);
	_droite->edition_liens(instruction);
}

void AppelFonctionInterneBinaire::definition_fonction()
{
	_gauche->definition_fonction();
	_droite->definition_fonction();
}

