#include <src/donnees/expressions/expressionbooleen.h>
#include <src/donnees/expressions/expressionbooleenvrai.h>
#include <src/donnees/expressions/expressionbooleenfaux.h>
#include <src/donnees/expressions/expressionbooleenpeutetre.h>
using namespace Traceur::Donnees::Expression;

BooleenSP Booleen::SP(bool booleen)
{
	if(booleen)
		return BooleenVrai::SP();
	return BooleenFaux::SP();
}

BooleenSP Booleen::SP(Booleen booleen)
{
	if(booleen.est_de_nature<BooleenVrai>())
		return BooleenVrai::SP();
	if(booleen.est_de_nature<BooleenFaux>())
		return BooleenFaux::SP();
	return BooleenPeutetre::SP();
}
