#ifndef _DONNEES_EXPRESSIONS_BOOLEEN_H_
#define _DONNEES_EXPRESSIONS_BOOLEEN_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Expression { DECL_SHARED_PTR(Booleen); } } }

#include <src/donnees/expressions/expressionconstante.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Expression
		{
			class Booleen: public Constante
			{
				public:
					Booleen() = default;		
					static BooleenSP SP(Booleen booleen);
					static BooleenSP SP(bool booleen);
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur) { throw; }
					virtual void format(std::ostream& os) const { throw; };
					virtual ~Booleen() {};
			};
		}
	}
}

#endif
