#ifndef _DONNEES_EXPRESSIONS_BOOLEENFAUX_H_
#define _DONNEES_EXPRESSIONS_BOOLEENFAUX_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Expression { DECL_SHARED_PTR(BooleenFaux); } } }

#include <src/donnees/expressions/expressionbooleen.h>
#include <src/donnees/types/typeboolean.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Expression
		{
			class BooleenFaux: public Booleen
			{
				public:
					BooleenFaux()
						{ _type=Traceur::Donnees::Type::Boolean::SP(); };
					static BooleenFauxSP SP() { static BooleenFauxSP faux(new BooleenFaux()); return faux; };
					virtual operator bool () const  { return false; };
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur);
					virtual void format(std::ostream& os) const;
					virtual ~BooleenFaux() {};
				private:
			};
		}
	}
}

#endif
