#ifndef _DONNEES_EXPRESSIONS_VIDE_H_
#define _DONNEES_EXPRESSIONS_VIDE_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Expression { DECL_SHARED_PTR(Vide); } } }

#include <src/donnees/expressions/expressionconstante.h>
#include <src/donnees/types/typevoid.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Expression
		{
			class Vide: public Constante
			{
				public:
					Vide() { _type=Traceur::Donnees::Type::Void::SP(); };
					static VideSP SP() { static VideSP vide(new Vide()); return vide; };
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur);
					virtual void format(std::ostream& os) const;
					virtual ~Vide() {};
			};
		}
	}
}

#endif
