#ifndef _DONNEES_FONCTIONS_DECLARATIONSISOLEES_H_
#define _DONNEES_FONCTIONS_DECLARATIONSISOLEES_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Fonction { DECL_SHARED_PTR(DeclarationsIsolees); } } }

#include <src/donnees/fonctions/declarationsrestreintes.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Fonction
		{
			class DeclarationsIsolees : public DeclarationsRestreintes
			{
				public:
					DeclarationsIsolees(DeclarationsSP parent): DeclarationsRestreintes(parent) {};
					virtual InstanceSP recherche_lien(const PrototypeSP& prototype);
					virtual Declarations::RechercheDeclarations recherche_appel(const PrototypeSP& prototype);
					virtual DeclarationsSP clone(Traceur::Donnees::Global::ClonesInstances& clones_instances);
					virtual ~DeclarationsIsolees() {};
			};
		}
	}
}
#endif
