#include <src/donnees/fonctions/declarationsrestreintes.h>
using namespace Traceur::Donnees::Fonction;

InstanceSP DeclarationsRestreintes::recherche_definition(const PrototypeSP& prototype)
{
	InstanceSP instance = recherche_stricte_locale(prototype);
	return instance;
}

DeclarationsSP DeclarationsRestreintes::clone(Traceur::Donnees::Global::ClonesInstances& clones_instances)
{
	DeclarationsSP parent = clones_instances[_parent.lock().get()];
	if(not parent)
	{
		parent = _parent.lock();
	}
	DeclarationsSP clone(new DeclarationsRestreintes(parent));
	clone_outil(clone,clones_instances);
	clones_instances.ajout(this,clone);
	return clone;
}
