#include <src/donnees/types/typecircle.h>
using namespace Traceur::Donnees::Type;

bool Circle::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Circle>(type));
}

void Circle::format(std::ostream& os) const
{
	os << "Circle";
}

CircleSP Circle::SP()
{
	static CircleSP sp(new Circle());
	return sp;
}

