#ifndef __DONNEES_TYPES_TYPE_COLOR_H_
#define __DONNEES_TYPES_TYPE_COLOR_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Color); } } }
#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Color : public Atomique
			{
				public:
					virtual ~Color() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static ColorSP SP();
			};
		}
	}
}
#endif

