#include <src/donnees/types/typeellipse.h>
using namespace Traceur::Donnees::Type;

bool Ellipse::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Ellipse>(type));
}

void Ellipse::format(std::ostream& os) const
{
	os << "Ellipse";
}

EllipseSP Ellipse::SP()
{
	static EllipseSP sp(new Ellipse());
	return sp;
}

