#ifndef __DONNEES_TYPES_TYPE_ELLIPSE_H_
#define __DONNEES_TYPES_TYPE_ELLIPSE_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Ellipse); } } }
#include <src/donnees/types/typetool.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Ellipse : public Tool
			{
				public:
					virtual ~Ellipse() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static EllipseSP SP();
			};
		}
	}
}
#endif

