#include <src/donnees/types/typeeraser.h>
using namespace Traceur::Donnees::Type;

bool Eraser::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Eraser>(type));
}

void Eraser::format(std::ostream& os) const
{
	os << "Eraser";
}

EraserSP Eraser::SP()
{
	static EraserSP sp(new Eraser());
	return sp;
}

