#ifndef __DONNEES_TYPES_TYPE_ERROR_H_
#define __DONNEES_TYPES_TYPE_ERROR_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Error); } } }

#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Error : public Atomique
			{
				public:
					virtual ~Error() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static ErrorSP SP();
			};
		}
	}
}
#endif

