#include <src/donnees/types/typefill.h>
using namespace Traceur::Donnees::Type;

bool Fill::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Fill>(type));
}

void Fill::format(std::ostream& os) const
{
	os << "Fill";
}

FillSP Fill::SP()
{
	static FillSP sp(new Fill());
	return sp;
}

