#ifndef __DONNEES_TYPES_TYPE_IMAGE_H_
#define __DONNEES_TYPES_TYPE_IMAGE_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Image); } } }
#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Image : public Atomique
			{
				public:
					virtual ~Image() {};
					virtual void format(std::ostream& os) const;
					virtual bool compatible(const TypeSP& type);
					static ImageSP SP();
			};
		}
	}
}
#endif

