#ifndef __DONNEES_TYPES_TYPE_INTEGER_H_
#define __DONNEES_TYPES_TYPE_INTEGER_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Integer); } } }
#include <src/donnees/types/typenumber.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Integer : public Number
			{
				public:
					virtual ~Integer() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static IntegerSP SP();
			};
		}
	}
}
#endif

