#include <src/donnees/types/typekernel.h>

using namespace Traceur::Donnees::Type;

bool Kernel::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Kernel>(type));
}

void Kernel::format(std::ostream& os) const
{
	os << "Kernel";
}

KernelSP Kernel::SP()
{
	static KernelSP sp(new Kernel());
	return sp;
}
