#ifndef __DONNEES_TYPES_TYPE_KERNEL_H_
#define __DONNEES_TYPES_TYPE_KERNEL_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Kernel); } } }
#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Kernel : public Atomique
			{
				public:
					virtual ~Kernel() {};
					virtual void format(std::ostream& os) const;
					virtual bool compatible(const TypeSP& type);
					static KernelSP SP();
			};
		}
	}
}
#endif

