#ifndef __DONNEES_TYPES_TYPE_TOOL_H_
#define __DONNEES_TYPES_TYPE_TOOL_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Tool); } } }
#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Tool : public Atomique
			{
				public:
					virtual ~Tool() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static ToolSP SP();
			};
		}
	}
}
#endif

