#include <src/donnees/types/typetriangle.h>
using namespace Traceur::Donnees::Type;

bool Triangle::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Triangle>(type));
}

void Triangle::format(std::ostream& os) const
{
	os << "Triangle";
}

TriangleSP Triangle::SP()
{
	static TriangleSP sp(new Triangle());
	return sp;
}

