#include <src/donnees/types/typevoid.h>

using namespace Traceur::Donnees::Type;

bool Void::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Void>(type));
}

void Void::format(std::ostream& os) const
{
	os << "Void";
}

VoidSP Void::SP()
{
	static VoidSP sp(new Void());
	return sp;
}
