#ifndef __DONNEES_TYPES_TYPE_VOID_H_
#define __DONNEES_TYPES_TYPE_VOID_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Void); } } } 

#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Void : public Atomique
			{
				public:
					virtual ~Void() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static VoidSP SP();
			};
		}
	}
}
#endif

