syntax keyword Statement return
syntax keyword Statement exit
syntax keyword Statement next
syntax keyword Statement error
syntax keyword Statement try
syntax keyword Statement catch
syntax keyword Statement if
syntax keyword Statement then
syntax keyword Statement elif
syntax keyword Statement else
syntax keyword Statement do
syntax keyword Statement end
syntax keyword Statement let
syntax keyword Statement rec
syntax keyword Statement draw
syntax keyword Statement at
syntax keyword Statement conv
syntax keyword Statement dpt
syntax keyword Statement idpt
syntax keyword Statement with
syntax keyword Statement read
syntax keyword Statement write
syntax keyword Statement func
syntax keyword Statement disp

syntax keyword Repeat for
syntax keyword Repeat from
syntax keyword Repeat to
syntax keyword Repeat by
syntax keyword Repeat while
syntax keyword Repeat until

syntax keyword Type Void
syntax keyword Type Number
syntax keyword Type Integer
syntax keyword Type Real
syntax keyword Type Boolean
syntax keyword Type String
syntax keyword Type Point
syntax keyword Type Vector
syntax keyword Type Tool
syntax keyword Type Line
syntax keyword Type Triangle
syntax keyword Type Rectangle
syntax keyword Type Circle
syntax keyword Type Ellipse
syntax keyword Type Fill
syntax keyword Type Eraser
syntax keyword Type Color
syntax keyword Type Image
syntax keyword Type Kernel

syntax keyword Constant TRUE
syntax keyword Constant FALSE
syntax keyword Constant MAYBE
syntax keyword Constant INTEGER
syntax keyword Constant REAL
syntax keyword Constant STRING
syntax keyword Constant POINT
syntax keyword Constant VECTOR
syntax keyword Constant POLAR
syntax keyword Constant LINE
syntax keyword Constant TRIANGLE
syntax keyword Constant RECTANGLE
syntax keyword Constant CIRCLE
syntax keyword Constant ELLIPSE
syntax keyword Constant FILL
syntax keyword Constant SOLID
syntax keyword Constant ERASER
syntax keyword Constant NOSTART
syntax keyword Constant NOEND
syntax keyword Constant DASHED
syntax keyword Constant DOTTED
syntax keyword Constant COLOR
syntax keyword Constant HSV
syntax keyword Constant HUE
syntax keyword Constant SATURATION
syntax keyword Constant VALUE
syntax keyword Constant ALPHA
syntax keyword Constant BLACK
syntax keyword Constant GRAY
syntax keyword Constant WHITE
syntax keyword Constant RED
syntax keyword Constant GREEN
syntax keyword Constant BLUE
syntax keyword Constant MAGENTA
syntax keyword Constant CYAN
syntax keyword Constant YELLOW
syntax keyword Constant CLEAR
syntax keyword Constant IMAGE
syntax keyword Constant GEOMETRY
syntax keyword Constant STANDARD
syntax keyword Constant MATHEMATICAL
syntax keyword Constant KERNEL
syntax match Constant "\~\([# +-0]*[1-9]\?[0-9]*\([idoxX]\|\(\.[0-9]\+\)\?[fFeE]\)\|s\)"
syntax match Constant +"[^"\n]*"+
syntax match Constant "#[0-9A-F]\{6\}"

syntax keyword Operator deg
syntax keyword Operator rad
syntax keyword Operator and
syntax keyword Operator not
syntax keyword Operator or
syntax keyword Operator xor
syntax keyword Operator nand
syntax keyword Operator cos
syntax keyword Operator sin
syntax keyword Operator tan
syntax keyword Operator acos
syntax keyword Operator asin
syntax keyword Operator atan
syntax keyword Operator exp
syntax keyword Operator ln
syntax keyword Operator pi
syntax keyword Operator sqrt
syntax keyword Operator rand
syntax keyword Operator int
syntax keyword Operator frac
syntax keyword Operator min
syntax keyword Operator max
syntax keyword Operator gcd
syntax keyword Operator lcm
syntax keyword Operator xmin
syntax keyword Operator xmax
syntax keyword Operator xscl
syntax keyword Operator xsiz
syntax keyword Operator ymin
syntax keyword Operator ymax
syntax keyword Operator yscl
syntax keyword Operator ysiz
syntax keyword Operator on
syntax keyword Operator CATCH
syntax match Comment "//.*$"
syntax match Comment "#!.*$"
syntax match Number "[0-9]\+\(\.?[0-9]*\)?\(\[eE]\([+-]\)?[0-9]\+\)?"
