#ifndef _DONNEES_ASSEMBLEUR_DRAWAT_H_
#define _DONNEES_ASSEMBLEUR_DRAWAT_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(DrawAt); } } }

#include <src/donnees/assembleur/draw.h>
#include <src/donnees/assembleur/image.h>
#include <src/donnees/assembleur/point.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			class DrawAt : public Draw
			{
				public:
					DrawAt(Image::ImageSP image, Point point, Traceur::Donnees::Expression::Entier::TypeInterne alpha) :_image(image), _point(point), _alpha(alpha) {};
					virtual void trace(Image::Image& image);
					virtual void format(std::ostream& os);
					virtual ~DrawAt() {};
				private:
					Image::ImageSP _image;
					Point _point;
					Traceur::Donnees::Expression::Entier::TypeInterne _alpha;
			};
		}
	}
}

#endif
