#ifndef _DONNEES_ASSEMBLEUR_DRAWFILL_H_
#define _DONNEES_ASSEMBLEUR_DRAWFILL_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(DrawFill); } } }

#include <src/donnees/assembleur/draw.h>
#include <src/donnees/assembleur/point.h>
#include <src/donnees/assembleur/optionssurface.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			class DrawFill : public Draw
			{
				public:
					DrawFill(Point point, OptionsSurface options) :_point(point), _options(options)  {};
					template <typename ModeRemplissage>
						void trace(Image::Image& image, ModeRemplissage mode_remplissage);
					virtual void trace(Image::Image& image);
					virtual void format(std::ostream& os);
					virtual ~DrawFill() {};
				private:
					Point _point;
					OptionsSurface _options;
			};
		}
	}
}

#endif
