#ifndef _DONNEES_ASSEMBLEUR_DRAWPOINT_H_
#define _DONNEES_ASSEMBLEUR_DRAWPOINT_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(DrawPoint); } } }

#include <src/donnees/assembleur/draw.h>
#include <src/donnees/assembleur/point.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			class DrawPoint : public Draw
			{
				public:
					DrawPoint(Point point) :_point(point) {};
					virtual void trace(Image::Image& image);
					virtual void format(std::ostream& os);
					virtual ~DrawPoint() {};
				private:
					Point _point;
			};
		}
	}
}

#endif
