#ifndef _DONNEES_ASSEMBLEUR_NOMFICHIER_H_
#define _DONNEES_ASSEMBLEUR_NOMFICHIER_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(NomFichier); } } }

#include <src/donnees/expressions/expressionchaine.h>

namespace Traceur
{
	namespace Png { class Image; }
	namespace Donnees
	{
		namespace Assembleur
		{
			class NomFichier
			{
				friend class Traceur::Png::Image;
				public:
					NomFichier(const Traceur::Donnees::Expression::ChaineSP& nom_fichier);
					virtual void format(std::ostream& os);
					virtual ~NomFichier() {};
					bool est_le_terminal() const;
				private:
					Traceur::Donnees::Expression::Chaine::TypeInterne _nom_fichier;
					operator const char* () { return _nom_fichier.c_str(); };
			};
		}
	}
}

#endif
