#include <src/donnees/assembleur/read.h>
#include <src/png/imagepng.h>
using namespace Traceur::Donnees::Assembleur;

void Read::teste()
{
	Traceur::Png::Image::teste_fichier_lecture(_nom_fichier);
}

void Read::trace(Image::Image& image)
{
	Image::Reelle* reelle = dynamic_cast<Image::Reelle*>(&image);
	TRACEUR_TEST(reelle);
	Traceur::Png::Image::lecture(*reelle,_nom_fichier);
}

void Read::format(std::ostream& os)
{
	os << "read from ";
	_nom_fichier.format(os);
	os << " // asm" << std::endl;
}

