#ifndef _DONNEES_ASSEMBLEUR_WRITE_H_
#define _DONNEES_ASSEMBLEUR_WRITE_H_

#include <iostream>
#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Assembleur { DECL_SHARED_PTR(Write); } } }

#include <src/donnees/assembleur/instruction.h>
#include <src/donnees/assembleur/image.h>
#include <src/donnees/assembleur/nomfichier.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Assembleur
		{
			class Write : public Instruction
			{
				public:
					Write(Image::ImageSP image, NomFichier nom_fichier) :_image(image), _nom_fichier(nom_fichier) {};
					void teste();
					virtual void execute();
					virtual void format(std::ostream& os);
					virtual ~Write() {};
				private:
					Image::ImageSP _image;
					NomFichier _nom_fichier;
			};
		}
	}
}

#endif
