#ifndef _DONNEES_EXPRESSIONS_BOOLEENPEUTETRE_H_
#define _DONNEES_EXPRESSIONS_BOOLEENPEUTETRE_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Expression { DECL_SHARED_PTR(BooleenPeutetre); } } }

#include <src/donnees/expressions/expressionbooleen.h>
#include <src/donnees/types/typeboolean.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Expression
		{
			class BooleenPeutetre: public Booleen
			{
				public:
					BooleenPeutetre()
						{ _type=Traceur::Donnees::Type::Boolean::SP(); };
					// valeur interne au compilateur
					virtual operator bool () const  { return false; };
					static BooleenPeutetreSP SP() { static BooleenPeutetreSP peutetre(new BooleenPeutetre()); return peutetre; };
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur);
					virtual void format(std::ostream& os) const;
					virtual ~BooleenPeutetre() {};
				private:
			};
		}
	}
}

#endif
