#ifndef _DONNEES_EXPRESSIONS_BOOLEENVRAI_H_
#define _DONNEES_EXPRESSIONS_BOOLEENVRAI_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Expression { DECL_SHARED_PTR(BooleenVrai); } } }

#include <src/donnees/expressions/expressionbooleen.h>
#include <src/donnees/types/typeboolean.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Expression
		{
			class BooleenVrai: public Booleen
			{
				public:
					BooleenVrai()
						{ _type=Traceur::Donnees::Type::Boolean::SP(); };
					static BooleenVraiSP SP() { static BooleenVraiSP vrai(new BooleenVrai()); return vrai; };
					virtual operator bool () const  { return true; };
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur);
					virtual void format(std::ostream& os) const;
					virtual ~BooleenVrai() {};
				private:
			};
		}
	}
}

#endif
