#include <src/donnees/expressions/expressionerreur.h>
using namespace Traceur::Donnees::Expression;

Traceur::Donnees::Instruction::ValeurSP Erreur::evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur)
{
	return Traceur::Donnees::Instruction::ValeurSP(new Traceur::Donnees::Instruction::Valeur(ErreurSP(new Erreur(*this))));
}

void Erreur::format(std::ostream& os) const
{
	os << "ERROR[" << _erreur << "]";
}
