#ifndef _DONNEES_EXPRESSIONS_TANGENTE_H_
#define _DONNEES_EXPRESSIONS_TANGENTE_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Expression { DECL_SHARED_PTR(Tangente); } } }

#include <src/donnees/expressions/expressionappelfonctioninterneunaire.h>
#include <src/donnees/types/type.h>

// TODO definition des objets fonctions qui mappent le et logique
// => pour les exceptions, mais aussi pour les fonctions d'encapsulation
// Integer fonction(func Integer (Integer gauche)+(Integer droite))
// pb avec let func ?
namespace Traceur
{
	namespace Donnees
	{
		namespace Expression
		{
			class Tangente: public AppelFonctionInterneUnaire
			{
				public:
					Tangente(ExpressionSP valeur,Traceur::Donnees::Source::PositionSP position = Traceur::Donnees::Source::PositionSP());
					virtual ~Tangente() {};
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(Traceur::Donnees::Assembleur::AssembleurSP& assembleur);
					virtual ExpressionSP clone(Traceur::Donnees::Global::ClonesInstances& clones_instances);
					virtual void format(std::ostream& os) const;
				private:
					TangenteSP _evaluateur;
					virtual Traceur::Donnees::Instruction::ValeurSP evaluation(const Traceur::Donnees::Instruction::ValeurSP) const;
				protected:
					Tangente() {};
			};

		}
	}
}

#endif
