#include <src/donnees/fonctions/declarationsisolees.h>
using namespace Traceur::Donnees::Fonction;

InstanceSP DeclarationsIsolees::recherche_lien(const PrototypeSP& prototype)
{
	InstanceSP instance = recherche_stricte_locale(prototype);
	return instance;
}

Declarations::RechercheDeclarations DeclarationsIsolees::recherche_appel(const PrototypeSP& prototype)
{
	Declarations::RechercheDeclarations instances = recherche_large_locale(prototype);
	return instances;
}

DeclarationsSP DeclarationsIsolees::clone(Traceur::Donnees::Global::ClonesInstances& clones_instances)
{
	DeclarationsSP parent = clones_instances[_parent.lock().get()];
	if(not parent)
	{
		parent = _parent.lock();
	}
	DeclarationsSP clone(new DeclarationsIsolees(parent));
	clone_outil(clone,clones_instances);
	clones_instances.ajout(this,clone);
	return clone;
}
