#ifndef _DONNEES_FONCTIONS_INSTANCENORMALE_H_
#define _DONNEES_FONCTIONS_INSTANCENORMALE_H_

#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Fonction { DECL_SHARED_PTR(InstanceNormale); } } }

#include <src/donnees/fonctions/fonction.h>
#include <src/donnees/fonctions/instance.h>
namespace Traceur
{
	namespace Donnees
	{
		namespace Fonction
		{
			class InstanceNormale : public Instance
			{
				public:
					InstanceNormale() = default;
					virtual InstanceSP clone(Traceur::Donnees::Global::ClonesInstances& clones_instances);
					virtual void format(std::ostream& os) const;
					virtual ~InstanceNormale() {};
				protected:
					FonctionSP _valeur_dynamique;
				private:
					InstanceNormale(FonctionSP dynamique) :_valeur_dynamique(dynamique) {};
					virtual void valeur_dynamique(FonctionSP fonction) { _valeur_dynamique=fonction; };
					virtual FonctionSP valeur_dynamique() { return _valeur_dynamique; }
					virtual FonctionSP valeur_appel() { return _valeur_dynamique; }
			};
		}
	}
}
#endif
