#include <src/donnees/fonctions/instancerecursive.h>
using namespace Traceur::Donnees::Fonction;

void InstanceRecursive::format(std::ostream& os) const
{
	os << "instance recursive " << this ;
	os << "(dynamic " << _valeur_dynamique.lock().get() << ")";
}

InstanceSP InstanceRecursive::clone(Traceur::Donnees::Global::ClonesInstances& clones_instances)
{
	InstanceSP clone_ptetre = clones_instances[this];
	if(clone_ptetre)
		return clone_ptetre;
	FonctionSP fonction = _valeur_dynamique.lock()->clone(clones_instances);
	InstanceRecursiveSP clone(new InstanceRecursive(fonction));
	clones_instances.ajout(this,clone);
	return clone;
}
