#include <src/donnees/types/typeboolean.h>

using namespace Traceur::Donnees::Type;

bool Boolean::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Boolean>(type));
}

void Boolean::format(std::ostream& os) const
{
	os << "Boolean";
}

BooleanSP Boolean::SP()
{
	static BooleanSP sp(new Boolean());
	return sp;
}
