#include <src/donnees/types/typecolor.h>
using namespace Traceur::Donnees::Type;

bool Color::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Color>(type));
}

void Color::format(std::ostream& os) const
{
	os << "Color";
}

ColorSP Color::SP()
{
	static ColorSP sp(new Color());
	return sp;
}

