#include <src/donnees/types/typeerror.h>
using namespace Traceur::Donnees::Type;

bool Error::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Error>(type));
}

void Error::format(std::ostream& os) const
{
	os << "Error";
}

ErrorSP Error::SP()
{
	static ErrorSP sp(new Error());
	return sp;
}

