#include <src/donnees/types/typeimage.h>

using namespace Traceur::Donnees::Type;

bool Image::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Image>(type));
}

void Image::format(std::ostream& os) const
{
	os << "Image";
}

ImageSP Image::SP()
{
	static ImageSP sp(new Image());
	return sp;
}
