#include <src/donnees/types/typeinteger.h>
using namespace Traceur::Donnees::Type;

bool Integer::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Integer>(type));
}

void Integer::format(std::ostream& os) const
{
	os << "Integer";
}

IntegerSP Integer::SP()
{
	static IntegerSP sp(new Integer());
	return sp;
}

