#include <src/donnees/types/typeline.h>
using namespace Traceur::Donnees::Type;

bool Line::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Line>(type));
}

void Line::format(std::ostream& os) const
{
	os << "Line";
}

LineSP Line::SP()
{
	static LineSP sp(new Line());
	return sp;
}

