#include <src/donnees/types/typenumber.h>

using namespace Traceur::Donnees::Type;

bool Number::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Number>(type));
}

void Number::format(std::ostream& os) const
{
	os << "Number";
}

NumberSP Number::SP()
{
	static NumberSP sp(new Number());
	return sp;
}

