#ifndef __DONNEES_TYPES_TYPE_NUMBER_H_
#define __DONNEES_TYPES_TYPE_NUMBER_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Number); } } }

#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Number : public Atomique
			{
				public:
					virtual ~Number() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static NumberSP SP();
			};
		}
	}
}
#endif

