#include <src/donnees/types/typepoint.h>
using namespace Traceur::Donnees::Type;

bool Point::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Point>(type));
}

void Point::format(std::ostream& os) const
{
	os << "Point";
}

PointSP Point::SP()
{
	static PointSP sp(new Point());
	return sp;
}

