#ifndef __DONNEES_TYPES_TYPE_POINT_H_
#define __DONNEES_TYPES_TYPE_POINT_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Point); } } }
#include <src/donnees/types/typetool.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Point : public Tool
			{
				public:
					virtual ~Point() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static PointSP SP();
			};
		}
	}
}
#endif

