#include <src/donnees/types/typereal.h>
using namespace Traceur::Donnees::Type;

bool Real::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Real>(type));
}

void Real::format(std::ostream& os) const
{
	os << "Real";
}

RealSP Real::SP()
{
	static RealSP sp(new Real());
	return sp;
}
