#ifndef __DONNEES_TYPES_TYPE_REAL_H_
#define __DONNEES_TYPES_TYPE_REAL_H_


#include <src/global/global.h>
#include <src/donnees/types/typenumber.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			DECL_SHARED_PTR(Real);

			class Real : public Number
			{
				public:
					virtual ~Real() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static RealSP SP();
			};
		}
	}
}

#endif

