#include <src/donnees/types/typerectangle.h>
using namespace Traceur::Donnees::Type;

bool Rectangle::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Rectangle>(type));
}

void Rectangle::format(std::ostream& os) const
{
	os << "Rectangle";
}

RectangleSP Rectangle::SP()
{
	static RectangleSP sp(new Rectangle());
	return sp;
}

