#include <src/donnees/types/typesolid.h>
using namespace Traceur::Donnees::Type;

bool Solid::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Solid>(type));
}

void Solid::format(std::ostream& os) const
{
	os << "Solid";
}

SolidSP Solid::SP()
{
	static SolidSP sp(new Solid());
	return sp;
}

