#include <src/donnees/types/typestring.h>
using namespace Traceur::Donnees::Type;

bool String::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<String>(type));
}

void String::format(std::ostream& os) const
{
	os << "String";
}

StringSP String::SP()
{
	static StringSP sp(new String());
	return sp;
}

