#include <src/donnees/types/typetool.h>
using namespace Traceur::Donnees::Type;

bool Tool::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Tool>(type));
}

void Tool::format(std::ostream& os) const
{
	os << "Tool";
}

ToolSP Tool::SP()
{
	static ToolSP sp(new Tool());
	return sp;
}

