#include <src/donnees/types/typevector.h>
using namespace Traceur::Donnees::Type;

bool Vector::compatible(const TypeSP& type)
{
	return static_cast<bool>(std::dynamic_pointer_cast<Vector>(type));
}

void Vector::format(std::ostream& os) const
{
	os << "Vector";
}

VectorSP Vector::SP()
{
	static VectorSP sp(new Vector());
	return sp;
}

