#ifndef __DONNEES_TYPES_TYPE_VECTOR_H_
#define __DONNEES_TYPES_TYPE_VECTOR_H_


#include <src/global/global.h>
namespace Traceur { namespace Donnees { namespace Type { DECL_SHARED_PTR(Vector); } } }
#include <src/donnees/types/typeatomique.h>

namespace Traceur
{
	namespace Donnees
	{
		namespace Type
		{
			class Vector : public Atomique
			{
				public:
					virtual ~Vector() {};
					virtual bool compatible(const TypeSP& type);
					virtual void format(std::ostream& os) const;
					static VectorSP SP();
			};
		}
	}
}
#endif

