#include <src/exceptions/exceptions.h>
#include <sstream>
#include <vector>
using namespace Traceur::Exception;

void Generique::format(std::ostream& os) const
{
	std::istringstream iss;
	iss.str(this->message());

	std::vector<std::string> lignes;
	size_t taille=0;

	while(iss.good())
	{
		std::string ligne;
		getline(iss,ligne);
		if(ligne.size()>taille)
			taille=ligne.size();
		lignes.push_back(ligne);
	}
	std::string s(taille+4,'-');
	s[0]='+';
	s[taille-1+4]='+';
	os << s << std::endl;
	for(auto it = lignes.begin() ; it!=lignes.end() ; ++it)
		os << "| " << (*it) << std::string(taille-it->size(),' ') << " |" << std::endl;
	os << s << std::endl; 
}

